Update payment link
curl --request PUT \
--url https://api.xentfi.com/v1/payment-links/{id} \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"paymentLimit": 123,
"amount": "<string>",
"currency": "<string>",
"redirectUrl": "<string>",
"successMessage": "<string>",
"failureMessage": "<string>",
"metadata": {},
"expiresAt": "2023-11-07T05:31:56Z",
"isActive": true
}
'const options = {
method: 'PUT',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
paymentLimit: 123,
amount: '<string>',
currency: '<string>',
redirectUrl: '<string>',
successMessage: '<string>',
failureMessage: '<string>',
metadata: {},
expiresAt: '2023-11-07T05:31:56Z',
isActive: true
})
};
fetch('https://api.xentfi.com/v1/payment-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/payment-links/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"paymentLimit": 123,
"amount": "<string>",
"currency": "<string>",
"redirectUrl": "<string>",
"successMessage": "<string>",
"failureMessage": "<string>",
"metadata": {},
"expiresAt": "2023-11-07T05:31:56Z",
"isActive": True
}
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/payment-links/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"paymentLimit\": 123,\n \"amount\": \"<string>\",\n \"currency\": \"<string>\",\n \"redirectUrl\": \"<string>\",\n \"successMessage\": \"<string>\",\n \"failureMessage\": \"<string>\",\n \"metadata\": {},\n \"expiresAt\": \"2023-11-07T05:31:56Z\",\n \"isActive\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'PUT',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
paymentLimit: 123,
amount: '<string>',
currency: '<string>',
redirectUrl: '<string>',
successMessage: '<string>',
failureMessage: '<string>',
metadata: {},
expiresAt: '2023-11-07T05:31:56Z',
isActive: true
})
};
fetch('https://api.xentfi.com/v1/payment-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"refId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"currency": "<string>",
"imgUrl": "<string>",
"paymentLimit": 2,
"amount": "<string>",
"redirectUrl": "<string>",
"successMessage": "<string>",
"failureMessage": "<string>",
"metadata": {},
"isActive": true,
"evmSettlementWalletId": "<string>",
"solanaSettlementWalletId": "<string>",
"allowedBlockchains": [
{
"id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
"name": "Base",
"slug": "base-mainnet",
"symbol": "ETH",
"isActive": true,
"isEvmCompatible": true,
"configurations": null,
"chainId": 8453,
"logoUrl": "https://example.com/base-logo.png",
"tokenStandard": "ERC20",
"createdAt": "2023-04-28T14:44:06.397Z",
"updatedAt": "2024-11-26T15:26:18.785Z"
}
],
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Payment Links
Update payment link
PUT
/
v1
/
payment-links
/
{id}
Update payment link
curl --request PUT \
--url https://api.xentfi.com/v1/payment-links/{id} \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"paymentLimit": 123,
"amount": "<string>",
"currency": "<string>",
"redirectUrl": "<string>",
"successMessage": "<string>",
"failureMessage": "<string>",
"metadata": {},
"expiresAt": "2023-11-07T05:31:56Z",
"isActive": true
}
'const options = {
method: 'PUT',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
paymentLimit: 123,
amount: '<string>',
currency: '<string>',
redirectUrl: '<string>',
successMessage: '<string>',
failureMessage: '<string>',
metadata: {},
expiresAt: '2023-11-07T05:31:56Z',
isActive: true
})
};
fetch('https://api.xentfi.com/v1/payment-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/payment-links/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"paymentLimit": 123,
"amount": "<string>",
"currency": "<string>",
"redirectUrl": "<string>",
"successMessage": "<string>",
"failureMessage": "<string>",
"metadata": {},
"expiresAt": "2023-11-07T05:31:56Z",
"isActive": True
}
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/payment-links/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"paymentLimit\": 123,\n \"amount\": \"<string>\",\n \"currency\": \"<string>\",\n \"redirectUrl\": \"<string>\",\n \"successMessage\": \"<string>\",\n \"failureMessage\": \"<string>\",\n \"metadata\": {},\n \"expiresAt\": \"2023-11-07T05:31:56Z\",\n \"isActive\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'PUT',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
paymentLimit: 123,
amount: '<string>',
currency: '<string>',
redirectUrl: '<string>',
successMessage: '<string>',
failureMessage: '<string>',
metadata: {},
expiresAt: '2023-11-07T05:31:56Z',
isActive: true
})
};
fetch('https://api.xentfi.com/v1/payment-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"refId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"currency": "<string>",
"imgUrl": "<string>",
"paymentLimit": 2,
"amount": "<string>",
"redirectUrl": "<string>",
"successMessage": "<string>",
"failureMessage": "<string>",
"metadata": {},
"isActive": true,
"evmSettlementWalletId": "<string>",
"solanaSettlementWalletId": "<string>",
"allowedBlockchains": [
{
"id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
"name": "Base",
"slug": "base-mainnet",
"symbol": "ETH",
"isActive": true,
"isEvmCompatible": true,
"configurations": null,
"chainId": 8453,
"logoUrl": "https://example.com/base-logo.png",
"tokenStandard": "ERC20",
"createdAt": "2023-04-28T14:44:06.397Z",
"updatedAt": "2024-11-26T15:26:18.785Z"
}
],
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Path Parameters
Body
application/json
⌘I

